## org.opengis.coverage
Interface ThiessenValuePolygon

All Superinterfaces:
  ValueObject

    @UML(identifier="CV_ThiessenValuePolygon",
         specification=ISO_19123)
    public interface ThiessenValuePolygon

extends ValueObject

A value from a Thiessen polygon coverage. Individual Thiessen value polygons may be generated during the evaluation of a Thiessen polygon coverage, and need not to be persistent.

Method Summary
`Set<? extends PointValuePair>` `getControlValues()` Returns the point-value pair at the polygon centre.
`DomainObject` `getGeometry()` Returns the geometry of the Thiessen polygon centred on the point-value pair identified by the control values.

Methods inherited from interface ValueObject
`getInterpolationParameters, interpolate`

Method Detail

### getControlValues

    @UML(identifier="controlValue",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<? extends PointValuePair> getControlValues()

  Returns the point-value pair at the polygon centre.

  Specified by:
    `getControlValues` in interface `ValueObject`

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    DomainObject getGeometry()

  Returns the geometry of the Thiessen polygon centred on the point-value pair identified by the control values.

  Specified by:
    `getGeometry` in interface `ValueObject`
  TODO:
    The ISO 19123 specification returns a `Polygon`. We will have some trouble here, since `Polygon` is not a `Geometry`.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.